import { DeviceInfo } from "./device-info.js";
/**
 * Gets all information about the device.
 *
 * @example
 * ```
 * const deviceInfo = await getAllDeviceInfo();
 * ```
 *
 * @remarks
 * Battery information is not available on iOS or macOS
 */
export declare function getAllDeviceInfo(): Promise<DeviceInfo>;
